Dostępność pakietów dla debiana Sid & upgrade lenny


(Init3) #1

Mam takie 2 lamerskie pytania, ale nigdy nie mialem debiana. Jak to jest z paczkami dla sida, bo wiele programów oferuje paczki tylko dla etch-a, czy wtedy pozostaje kompilacja ze źródeł? Wezmy np. virtualbox - ma wersje tylko dla sarge i etcha, czy pozostaje mi tylko kompilacja? No i czy sid w swoich rezpozytoriach ma tyle samo paczek co np. etch, lenny?

Kolejne pytanie dotyczy upgrade. Lepiej wykonac je za pomocą apt-get czy aptitude? Czy te dwa polecenia (dajmy na to - aptitude upgrade oraz aptitude dist-upgrade wystaczą do całkowitego uprpgrade lenney->sid?

Gracias 8)


(matiit) #2

Sid ma więcej bo można mieć repo sid + etch +lenny i nic ise nie stanie (poprostu zostaje użyta najnowsza znalezniona wersja.)

Co do 2

Musisz dodać repo wersji na którą chcesz zamienić obecną wersję i wklepać apt-get update, apt-get upgrade, apt-get dist-upgrade (ewnetualnie aptitude)

Jeśli nie wiesz czego używać to tu masz bardzo dobry tekst:

:arrow: http://debian.linux.pl/viewtopic.php?t=1670


(Kaka') #3

To zobacz do tematu przyklejonego - są tam linki związane z Debianem.

Zauważ, że Debian Sid, Etch itd. to są gałęzie. Debian Sid to Debian unstable (niestabilny), a Etch jest już stabilny. Gorzej by było z instalacją paczek z Sid na np. Etch'u czy Sarge'u, ale na odwrót nie ma problemów. Nie musisz ich kompilować, choć możesz to uczynić. W sumie kompilacja jest bardzo prosta: możesz zrobić paczkę .deb, a następnie ją zainstalować.

Sid ma najwięcej paczek. Lenny jest testing więc będą tam też dochodzić różne paczki. Ale do Etch'a już żadne paczki trafiać nie będą. Dlaczego? Ponieważ Etch został zamrożony i dodawanie kolejnych paczek mogłoby osłabić jego stabilność.

Najlepiej będzie jak będziesz używał aptitude. Zapamiętuje ono zależności, co pomaga utrzymać większy porządek w systemie. Ale czasami są z tym problemy. Więcej dowiesz się o tym czytając ten artykuł: http://debian.linux.pl/viewtopic.php?t=1670

Złączono Posta : 04.05.2007 (Pią) 10:20

hy? Czemu najpierw apt-get upgrade? Samo dist-upgrade starczy, nie ma potrzeby jeszcze robić aktualizacji aktualnych paczek.


(Init3) #4

hmm zrobilem tak jak piszesz w przewodnikach na forum debiana, wszystko tak jak nalezy, repos dla sida, i oba polecenia (aptitude upgrade jak i dist-upgrade nie działają - zadnego efektu) jaka moze byc przyczyna tego?


(matiit) #5

Jak to żadnego efektu?

Nawet błędu?


(Init3) #6

Tak, zadnego efetku, tylko repos sie updatują i tyle.


(Kostrzewa83) #7

pokaz co masz w sources.list

jezeli dotychczas miales etch to po zmianie zrodel na sid powinno zaktualizowac mnostwo pakietow


(Kaka') #8
cat /etc/apt/sources.list

cat /etc/debian_version

(Init3) #9

Juz w porządku, popełnilem straszny bład ze sciezka sources.list :roll: Sorry za zawracanie głowy :wink: Debian sie wlasnie aktualizuje do Sid-a.